ros-foxy-rviz-ogre-vendor (8.2.8-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.2.7-1focal) focal; urgency=high

  * Fix interface link libraries in ogre vendor (#761 <https://github.com/ros2/rviz/issues/761>) (#880 <https://github.com/ros2/rviz/issues/880>)
  * Contributors: Jacob Perron, Laszlo Turanyi

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.2.6-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Feb 2022 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.2.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Oct 2021 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.2.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.2.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.2.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.2.1-1focal) focal; urgency=high

  * Update maintainer list (#619 <https://github.com/ros2/rviz/issues/619>)
  * changelogs
  * Contributors: Michael Jeronimo, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.2.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.0.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 21 May 2020 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Switched to the CMake Patch module. (#509 <https://github.com/ros2/rviz/issues/509>)
  * Contributors: Dan Rose, Mikael Arguedas

 -- William Woodall <william@osrfoundation.org>  Fri, 01 May 2020 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (7.0.3-1focal) focal; urgency=high

  * Skip freetype2 dependencies (#405 <https://github.com/ros2/rviz/issues/405>)
  * Contributors: Sean Yen

 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (7.0.2-1focal) focal; urgency=high

  * Switch back to patch instead of git apply (#470 <https://github.com/ros2/rviz/issues/470>)
  * Remove OGRE_BUILD_COMPONENT_SAMPLES cmake arg.
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (7.0.1-1focal) focal; urgency=high

  * Fix the rviz_ogre_vendor packaging.
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (7.0.0-1focal) focal; urgency=high

  * Add .dsv file beside custom environment hook (#449 <https://github.com/ros2/rviz/issues/449>)
  * Upgrade from Ogre 1.10 to Ogre 1.12.1 (#394 <https://github.com/ros2/rviz/issues/394>)
  * Mojave compatibility (#414 <https://github.com/ros2/rviz/issues/414>)
  * Contributors: Dirk Thomas, Karsten Knese, Martin Idel

 -- William Woodall <william@osrfoundation.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (6.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (6.1.0-1focal) focal; urgency=high

  * Upgraded to OGRE 1.10.12 to get a macOS fix but also not break any APIs by upgrading to OGRE 1.11.x. (#380 <https://github.com/ros2/rviz/issues/380>)
  * Contributors: Emerson Knapp

 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (6.0.0-1focal) focal; urgency=high

  * Suppress ogre_vendor warnings in clang+libcxx build. The -w flag was not strong enough for Clang builds. (#389 <https://github.com/ros2/rviz/issues/389>)
    Signed-off-by: Emerson Knapp <mailto:eknapp@amazon.com>
  * Pass through only the stdlib flag to the vendor build, instead of all C++ flags (#388 <https://github.com/ros2/rviz/issues/388>)
    Signed-off-by: Emerson Knapp <mailto:eknapp@amazon.com>
  * Pass through CXX flags to OGRE vendor build (#381 <https://github.com/ros2/rviz/issues/381>)
    * Pass through CXX flags
    Signed-off-by: Emerson Knapp <mailto:eknapp@amazon.com>
    * fixup
    Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
    * re-add removed libc++ flag, because OSX build always needs it
    Signed-off-by: Emerson Knapp <mailto:eknapp@amazon.com>
  * Propagate toolchain-file to external-project (#374 <https://github.com/ros2/rviz/issues/374>)
    If defined, propagate the CMAKE_TOOLCHAIN_FILE argument to the cmake
    argument of freetype, zlib and ogre projects.
    Change-Id: Ibf2802b96c2238a06191e78a1b2a3128769a83af
    Signed-off-by: Louis Mayencourt <mailto:louis.mayencourt@arm.com>
  * Contributors: Emerson Knapp, lmayencourt

 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (5.1.0-1focal) focal; urgency=high

  * Skip the system directories when looking for OGRE (#371 <https://github.com/ros2/rviz/issues/371>)
  * Contributors: Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (5.0.0-1focal) focal; urgency=high

  * Changed ZLIB_ROOT -> ZLIB_DIR (#349 <https://github.com/ros2/rviz/issues/349>)
  * Contributors: Mikael Arguedas

 -- William Woodall <william@osrfoundation.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (4.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (4.0.0-1focal) focal; urgency=high

  * Changed the download timeout for Ogre to be twenty (20) minutes. (#323 <https://github.com/ros2/rviz/issues/323>)
  * Contributors: Dirk Thomas, Martin Idel, Mikael Arguedas, Russ

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (3.0.0-1focal) focal; urgency=high

  * Updated Ogre to 1.10.11. (#181 <https://github.com/ros2/rviz/issues/181>)

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (2.0.0-1focal) focal; urgency=high

  * First version for ROS 2.
  * Contributors: Andreas Greimel, Andreas Holzner, Chris Ye, Johannes Jeising, Martin Idel, Steven! Ragnarok, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.11-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 02 Aug 2017 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.10-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 17:37:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.9-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 14:23:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.8-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 07 May 2017 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.7-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 05 May 2017 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.6-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 May 2017 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.5-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 May 2017 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.4-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 19 Oct 2016 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Oct 2016 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 20 Apr 2016 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.12.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Apr 2016 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.14-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 03 Apr 2016 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.13-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.12-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 22 Mar 2016 19:58:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.11-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 22 Mar 2016 18:16:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.10-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 Oct 2015 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.9-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.8-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Aug 2015 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.7-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 02 Mar 2015 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.6-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 13 Feb 2015 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.5-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 11 Feb 2015 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.4-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 30 Oct 2014 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 26 Jun 2014 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 May 2014 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 01 May 2014 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.11.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 04 Mar 2014 21:40:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.14-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 04 Mar 2014 21:35:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.13-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 26 Feb 2014 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.12-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 25 Feb 2014 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.11-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 26 Jan 2014 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.10-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 22 Dec 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.9-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 15 Oct 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.7-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 16 Sep 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.6-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 03 Sep 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.5-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 28 Aug 2013 03:50:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.4-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 28 Aug 2013 03:13:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 14 Aug 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 26 Jul 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 16 Jul 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.10.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 27 Jun 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.30-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 30 May 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.29-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 15 Apr 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.27-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 15 Mar 2013 13:23:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.26-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 15 Mar 2013 10:38:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.25-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 07 Mar 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.24-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sat, 16 Feb 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.23-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 Feb 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.22-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 12 Feb 2013 16:30:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.21-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 12 Feb 2013 14:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.20-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Jan 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.19-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.18-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Dec 2012 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.17-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 14 Dec 2012 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.16-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 14 Nov 2012 15:49:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.15-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 Nov 2012 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.14-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 14 Nov 2012 02:20:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.13-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 14 Nov 2012 00:58:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.12-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 06 Nov 2012 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.11-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 02 Nov 2012 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.10-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 01 Nov 2012 11:10:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.9-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 01 Nov 2012 11:01:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.8-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 01 Nov 2012 10:52:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.7-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 01 Nov 2012 10:40:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.6-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 31 Oct 2012 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.5-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 19 Oct 2012 00:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.4-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 15 Oct 2012 15:00:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 15 Oct 2012 10:41:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 12 Oct 2012 13:38:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 12 Oct 2012 11:57:00 -0000

ros-foxy-rviz-ogre-vendor (1.9.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 10 Oct 2012 00:00:00 -0000


